<?php

class Mo_OAuth_Client_Admin_Support {
	
	public static function support() {
		self::support_page();
	}
	
	public static function support_page(){
		?>
			<div id="mo_support_layout" class="mo_support_layout">
				<div>
					<h3 class="mo_oauth_h3"><?php esc_html_e('Contact Us','miniorange-login-with-azure')?></h3>
					<div style="padding-right: 10px;display: block;overflow: auto;">
						<div style="float:left;width:10%;"><img src="<?php echo esc_attr(plugin_dir_url( __FILE__ )) . 'phone.svg'?>" width="28" height="28">
						</div>
						<div style="float:left;width:88%;padding-left:5px;padding-top:5px;font-size:13px;line-height:20px;"><b><?php esc_html_e('Need any help? Just give us a call at +1 978 658 9387','miniorange-login-with-azure');?></b>
						</div>
					</div>
					<p><?php esc_html_e('Couldn\'t find an answer in ','miniorange-login-with-azure')?><a href="https://faq.miniorange.com/kb/oauth-openid-connect" target="_blank" rel="noopener">FAQ</a>?<br>
					<?php esc_html_e('Just send us a query and we will get back to you soon.','miniorange-login-with-azure')?></p>
					<form method="post" action="">
						<?php wp_nonce_field('mo_oauth_support_form','mo_oauth_support_form_field'); ?>
						<input type="hidden" name="option" value="mo_oauth_contact_us_query_option" />
						<table class="mo_settings_table">
							<tr>
								<td><input type="email" class="mo_table_textbox" required name="mo_oauth_contact_us_email" placeholder="Enter email here"
								value="<?php echo esc_attr(get_option("mo_oauth_admin_email")); ?>"></td>
							</tr>
							<tr>
								<td><input class="mo_table_textbox" type="tel" id="contact_us_phone" pattern="[\+]\d{11,14}|[\+]\d{1,4}[\s]\d{9,10}|[\+]\d{1,4}[\s]" placeholder="Enter phone here" name="mo_oauth_contact_us_phone" value="<?php echo esc_attr(get_option('mo_oauth_client_admin_phone'));?>"></td>
							</tr>
							<tr>
								<td><textarea class="mo_table_textbox" onkeypress="mo_oauth_valid_query(f)" placeholder="<?php esc_html_e('Enter your query here','miniorange-login-with-azure'); ?>" onkeyup="mo_oauth_valid_query(f)" onblur="mo_oauth_valid_query(f)" required name="mo_oauth_contact_us_query" rows="4" style="resize: vertical;"></textarea></td>
							</tr>
							<tr>
								<td><input type="checkbox" name="mo_oauth_send_plugin_config" id="mo_oauth_send_plugin_config" checked>&nbsp;<?php esc_html_e('Send Plugin Configuration','miniorange-login-with-azure')?></td>
							</tr>
							<tr>
								<td><small style="color:#666"><?php esc_html_e('We will not be sending your Client IDs or Client Secrets.','miniorange-login-with-azure')?></small></td>
							</tr>
						</table><br>
	
						<div class="mo_support_layout" style="background-color:#e6eeff;"><br>
							
							<label class="mo_oauth_switch" style="">
								<input type="checkbox" style="background: #DCDAD1;" id="oauth_setup_call" name="oauth_setup_call"/>
								<span class="mo_oauth_slider round"></span>
							</label>
							<b style="font-size: 16px; color: #000000;"><label for="oauth_setup_call"></label><?php esc_html_e('Setup a Call/ Screen-share session','miniorange-login-with-azure');?></b><br><br>
	
	
							<div id="mo_oauth_setup_call_div">
							<table class="mo_settings_table" cellpadding="2" cellspacing="2">
								<tr>
									<td><strong><font color="#FF0000">*</font><?php esc_html_e('Issue:','miniorange-login-with-azure')?></td></strong></td>
									<td><select id="issue_dropdown" class="mo_callsetup_table_textbox" name="mo_oauth_setup_call_issue">
										<option disabled selected>--------Select Issue type--------</option>
										<option id="sso_setup_issue">SSO Setup Issue</option>
										<option>Custom requirement</option>
										<option id="other_issue">Other Reason</option>
									</select></td>
								</tr>
								<tr id="setup_guide_link" style="display: none;">
									<td colspan="2"><?php esc_html_e('Have you checked the setup guide ','miniorange-login-with-azure')?><a href="https://plugins.miniorange.com/wordpress-single-sign-on-sso-with-oauth-openid-connect" target="_blank" rel="noopener">here</a>?</td>
								</tr>
								<tr id="required_mark" style="display: none;">
								<td><strong><font color="#FF0000">*</font><?php esc_html_e('Description:','miniorange-login-with-azure')?></td></strong></td>
									<td><textarea id="issue_description" class="mo_oauth_issue_description" onkeypress="mo_oauth_valid_query(f)" placeholder="<?php esc_html_e('Enter your issue description here','miniorange-login-with-azure'); ?>" onkeyup="mo_oauth_valid_query(f)" onblur="mo_oauth_valid_query(f)" name="mo_oauth_issue_description" rows="2" style="resize: vertical;"></textarea></td>								
								</tr>
								<tr>
									<td><strong><font color="#FF0000">*</font><?php esc_html_e('Date:','miniorange-login-with-azure')?></td></strong></td>
									<td><input class="mo_callsetup_table_textbox" name="mo_oauth_setup_call_date" type="date" id="calldate" style="width: 80%;"></td>
								</tr>
								<tr>
									<td><strong><font color="#FF0000">*</font><?php esc_html_e('Time(Local):','miniorange-login-with-azure')?></td></strong></td>
									<td><input class="mo_callsetup_table_textbox" name="mo_oauth_setup_call_time" type="time" id="mo_oauth_setup_call_time"></td>
								</tr>
							</table>
							<p><?php esc_html_e('We are available from 3:30 to 18:30 UTC','miniorange-login-with-azure')?></p>
							<input type="hidden" name="mo_oauth_time_diff" id="mo_oauth_time_diff">
							</div>
						</div>
	
						<div style="text-align:left;">
							<input type="submit" name="submit" style="margin:15px; width:100px;" class="button button-primary button-large" value="<?php esc_html_e('Submit','miniorange-login-with-azure'); ?>" />
						</div>
	
					</form>
				</div>
			</div>
			
			<br/>
					
		<?php
		}


}